/* ========================================
 *  MSFlipTimer - MSFlipTimer.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) Airwindows, Airwindows uses the MIT license
 * ======================================== */

#ifndef __MSFlipTimer_MSFlipTimer_H
#define __MSFlipTimer_MSFlipTimer_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::MSFlipTimer {
enum {
	kParamA = 0,
  kNumParameters = 1
}; //


class MSFlipTimer final : public SfxCoreExtensionV1
{
public:
    MSFlipTimer();
    ~MSFlipTimer();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	uint32_t tick;
    float A;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
